--- src/3rdparty/chromium/build/linux/unbundle/libusb.gn.orig	2023-12-10 06:10:27 UTC
+++ src/3rdparty/chromium/build/linux/unbundle/libusb.gn
@@ -1,3 +1,27 @@
+# Copyright 2016 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+import("//build/config/linux/pkg_config.gni")
+import("//build/shim_headers.gni")
+
+pkg_config("system_libusb") {
+  packages = [ "libusb-1.0" ]
+}
+
+shim_headers("libusb_shim") {
+  root_path = "src/libusb"
+  headers = [
+    "libusb.h",
+  ]
+}
+
+source_set("libusb") {
+  deps = [
+    ":libusb_shim",
+  ]
+  public_configs = [ ":system_libusb" ]
+}
 import("//build/config/linux/pkg_config.gni")
 import("//build/shim_headers.gni")
 
